javax.media.opengl

## Interface GLFBODrawable.Resizeable

- All Superinterfaces:
    GLDrawable, GLFBODrawable, NativeSurfaceHolder
  Enclosing interface:
    GLFBODrawable

      public static interface GLFBODrawable.Resizeable
      extends GLFBODrawable

  Resizeable `GLFBODrawable` specialization

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.media.opengl.GLFBODrawable

      `GLFBODrawable.Resizeable`

  - ### Field Summary

    - ### Fields inherited from interface javax.media.opengl.GLFBODrawable

      `FBOMODE_DEFAULT, FBOMODE_USE_DEPTH, FBOMODE_USE_TEXTURE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSurfaceSize(GLContext context, int newWidth, int newHeight)` Resize this `GLFBODrawable`'s surface.

    - ### Methods inherited from interface javax.media.opengl.GLFBODrawable

      `getColorbuffer, getFBObject, getFBOMode, getNumBuffers, getNumSamples, getTextureUnit, isInitialized, resetSize, setFBOMode, setNumBuffers, setNumSamples, setTextureUnit`

    - ### Methods inherited from interface javax.media.opengl.GLDrawable

      `createContext, getChosenGLCapabilities, getFactory, getGLProfile, getHandle, getNativeSurface, getRequestedGLCapabilities, getSurfaceHeight, getSurfaceWidth, isGLOriented, isRealized, setRealized, swapBuffers, toString`

- - ### Method Detail

    - #### setSurfaceSize

          void setSurfaceSize(GLContext context,
                            int newWidth,
                            int newHeight)
                              throws NativeWindowException,
                                     GLException

      Resize this `GLFBODrawable`'s surface.

      This drawable is being locked during operation.

      Parameters:
        `context` - the `GLContext` bound to this drawable, will be made current during operation A prev. current context will be make current after operation.
        `newWidth` - new width in pixel units
        `newHeight` - new width in pixel units
      Throws:
        `NativeWindowException` - in case the surface could no be locked
        `GLException` - in case an error during the resize operation occurred

Copyright 2010 JogAmp Community.